MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023138Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2012-05-05 11:312015-05-14 16:24
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023138: BRepAlgoAPI_Fuse produce invalid result
DescriptionBRepAlgoAPI_Fuse produce invalid result with shapes taken from Tutorial sample
Steps To Reproduce> restore body.brep b
> restore thread.brep t
> bop b t
> bopfuse r
> checkshape r
Shape faulty_1 on shape faulty_2 :
BRepCheck_NotClosed

Faulty shapes in variables faulty_1 to faulty_2
TagsNo tags attached.
Test case numberbugs modalg_6 bug23138
Attached Files? file icon body.brep (60,234 bytes) 2012-05-05 11:31
? file icon thread.brep (18,406 bytes) 2012-05-05 11:31
? file icon bottle.tcl (1,716 bytes) 2012-05-14 10:02

- Relationships

-  Notes
(0020518)
dbv (developer)
2012-05-12 16:11

Attached tcl script that creates body and thread and tries to fuse them.
(0020519)
abv (manager)
2012-05-12 16:44

Note: in the script bottle.tcl, commang gcarc needs to be wrapped in catch {} for script to pass; the reason is that this command incorrectly returns 1 in case of success, and 0 if error (should be vice-versa).
(0020524)
dbv (developer)
2012-05-14 10:08

Replaced bottle.tcl by script with added catch{}
(0039590)
nbv (developer)
2015-04-10 16:32

Dear Dmitri,

The result seems to be valid on the current MASTER (IR-2015-04-06).
(0039593)
abv (manager)
2015-04-10 16:52

Please add a test case
(0039884)
git (administrator)
2015-04-16 15:08

Branch CR23138 has been created by apn.

SHA-1: 3ef1017283797dc57709be015e4805a2f567d08c


Detailed log of new commits:

Author: apn
Date: Thu Apr 16 15:08:19 2015 +0300

    0023138: BRepAlgoAPI_Fuse produce invalid result
    
    Added test case bugs/modalg_6/bug23138
(0039885)
apn (administrator)
2015-04-16 15:09

Problem is not reproduced on current state of master.
Script bottle.tcl has been already modified and integrated.
Test case:
bugs modalg_6 bug23138 - OK
(0039902)
abv (manager)
2015-04-16 17:06

Wow!
(0039909)
abv (manager)
2015-04-16 17:55

Andrey, I do not see that

> Script bottle.tcl has been already modified and integrated.

could you please check and this and, if it is not really done yet, do the change (so that samples/tcl/bottle.tcl produces single solid) and integrate?
(0040934)
git (administrator)
2015-05-14 16:24

Branch CR23138 has been deleted by inv.

SHA-1: 3ef1017283797dc57709be015e4805a2f567d08c

- Related Changesets
occt: master cc2b0ec0
Timestamp: 2015-04-16 12:08:19
Author: apn
Committer: bugmaster
Details ] Diff ]
0023138: BRepAlgoAPI_Fuse produce invalid result

Added test case bugs/modalg_6/bug23138
add - tests/bugs/modalg_6/bug23138 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-05 11:31 dbv New Issue
2012-05-05 11:31 dbv Assigned To => jgv
2012-05-05 11:31 dbv File Added: body.brep
2012-05-05 11:31 dbv File Added: thread.brep
2012-05-05 11:32 dbv Description Updated View Revisions
2012-05-12 16:08 dbv File Added: bottle.tcl
2012-05-12 16:11 dbv Note Added: 0020518
2012-05-12 16:44 abv Note Added: 0020519
2012-05-12 16:44 abv Status new => assigned
2012-05-14 10:01 dbv File Deleted: bottle.tcl
2012-05-14 10:02 dbv File Added: bottle.tcl
2012-05-14 10:08 dbv Note Added: 0020524
2015-04-10 16:32 nbv Note Added: 0039590
2015-04-10 16:32 nbv Assigned To jgv => dbv
2015-04-10 16:32 nbv Status assigned => feedback
2015-04-10 16:52 abv Note Added: 0039593
2015-04-10 16:52 abv Assigned To dbv => apn
2015-04-10 16:52 abv Target Version => 6.9.0
2015-04-16 15:08 git Note Added: 0039884
2015-04-16 15:09 apn Note Added: 0039885
2015-04-16 15:09 apn Test case number => bugs modalg_6 bug23138
2015-04-16 15:09 apn Assigned To apn => bugmaster
2015-04-16 15:09 apn Status feedback => tested
2015-04-16 17:06 abv Note Added: 0039902
2015-04-16 17:55 abv Note Added: 0039909
2015-04-17 15:40 bugmaster Changeset attached => occt master cc2b0ec0
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:24 git Note Added: 0040934


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker